.blog-posts {
    padding: 23px 20px;
}

.blog-posts .container {
    max-width: 1715px;
    margin: 0 auto;
}

.blog-posts .section-header {
    text-align: center;
    margin-bottom: 11px;
}

.blog-posts .section-header .section-title {
    font-family: 'Montserrat';
    font-style: normal;
    font-weight: 700;
    font-size: clamp(1.25rem, 0.625rem + 2.0833vw, 2.5rem);
    line-height: 2.5;
    color: #04375F;
    margin: 0;
    padding: 0;
}

.blog-posts-grid {
    display: flex;
    gap: 40px;
}

.blog-posts-grid .blog-posts-item {
    display: flex;
    flex-direction: column;
    width: calc(100% / 3);
}

.blog-posts-grid .blog-posts-item:hover .thumbnail img {
    transform: scale(1.05);
}

.blog-posts-grid .blog-posts-item .thumbnail {
    width: 100%;
    height: auto;
    padding-top: 64.5%;
    overflow: hidden;
    position: relative;
}

.blog-posts-grid .blog-posts-item .thumbnail img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: 300ms;
}

.blog-posts-grid .blog-posts-item .content {
    padding: 38px 0;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 32px;
    height: 100%;

}

.meta_title_excerpt {
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.blog-posts-grid .blog-posts-item .content .read-more {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 10px;
    font-size: 12px;
    font-weight: 600;
    text-transform: uppercase;
    transition: 300ms;
}

.blog-posts-grid .blog-posts-item .content .read-more:hover {
    gap: 20px;
}

.blog-posts-grid .blog-posts-item .meta {
    font-size: 12px;
    font-weight: 400;
    text-transform: uppercase;
}

.blog-posts-grid .blog-posts-item .title {
    font-size: 28px;
    line-height: 1.2;
    font-weight: 700;
    margin: 0;
    padding: 0;
}

.icon-arrow-right {
    width: 26px;
    height: 13px;
    display: inline-block;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    background-image: url("data:image/svg+xml,%3Csvg width='37' height='9' viewBox='0 0 37 9' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M36.6523 5.3291L24.1221 8.48438L23.8779 7.51562L31.8809 5.5H0V4.5H31.709L23.8203 1.4668L24.1797 0.533203L36.6523 5.3291Z' fill='black'/%3E%3C/svg%3E%0A");
}


@media (max-width: 1200px) {
    .blog-posts {
        padding: 23px 20px;
    }
}

@media (max-width: 1024px) {
    .blog-posts-grid .blog-posts-item {
        width: calc(100% / 2);
        min-width: 48%;
    }
}

@media (max-width: 768px) {
    .blog-posts-grid {
        padding: 0 20px;
        flex-wrap: wrap;
        justify-content: center;
    }
}

@media (max-width: 480px) {
    .blog-posts-grid .blog-posts-item {
        min-width: 100%;
    }

    .blog-posts-grid .blog-posts-item .content {
        padding: 20px;
    }

    .blog-posts-grid .blog-posts-item .title {
        font-size: 24px;
    }
}